Bug 199545 - CVE-2006-3694 ruby safe-level bypass
Summary: CVE-2006-3694 ruby safe-level bypass
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: ruby   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Akira TAGOH
QA Contact: Bill Huang
URL:
Whiteboard: source=debian,reported=20060712,impac...
Keywords: Security
Depends On: 199543
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-07-20 09:49 UTC by Akira TAGOH
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHSA-2006-0604
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-27 20:33:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0604 normal SHIPPED_LIVE Moderate: ruby security update 2006-07-27 04:00:00 UTC

Description Akira TAGOH 2006-07-20 09:49:15 UTC
+++ This bug was initially created as a clone of Bug #199543 +++

Description of problem:
A Vulneerability has been reported in Ruby, which can be exploited by malicious
people to bypass certain security-level restrictions.

Version-Release number of selected component (if applicable):
all versions of Ruby, such as 1.6.x and 1.8.x without any exceptions.

How reproducible:
always

Steps to Reproduce:
1.ruby alias_jvn83768862.patch
2.
3.
  
Actual results:
no exceptions.

Expected results:
$ ruby alias_jvn83768862.patch
alias_jvn83768862.patch:9:in `p': calling insecure method: inspect (SecurityError)
        from alias_jvn83768862.patch:9


Additional info:
thia affects to RHEL2.1, 3 and 4 as well.

-- Additional comment from tagoh@redhat.com on 2006-07-20 05:47 EST --
Created an attachment (id=132736)
testcase

Comment 1 Akira TAGOH 2006-07-21 12:47:56 UTC
Fixed packages has been built.

Comment 5 Red Hat Bugzilla 2006-07-27 20:33:50 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0604.html



Note You need to log in before you can comment on or make changes to this bug.